Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class Status

    java.lang.Object
      org.openxri.xml.SimpleXMLElement
          org.openxri.xml.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Status

extends SimpleXMLElement

Author:
  =wil
See Also:
  `ServerStatus`, Serialized Form

Field Summary
`static java.lang.String` | `AUTH_RES_ERROR`
`static java.lang.String` | `AUTH_RES_NOT_FOUND`
`static java.lang.String` | `CID_ABSENT`
`static java.lang.String` | `CID_FAILED`
`static java.lang.String` | `CID_OFF`
`static java.lang.String` | `CID_VERIFIED`
`static java.lang.String` | `HTTPS_RES_NOT_FOUND`
`static java.lang.String` | `HTTPS_SAML_RES_NOT_FOUND`
`static java.lang.String` | `INACTIVE`
`static java.lang.String` | `INVALID_HTTPS_REDIRECT`
`static java.lang.String` | `INVALID_INPUT`
`static java.lang.String` | `INVALID_OUTPUT_FORMAT`
`static java.lang.String` | `INVALID_QXRI`
`static java.lang.String` | `INVALID_REDIRECT`
`static java.lang.String` | `INVALID_REF`
`static java.lang.String` | `INVALID_RES_MEDIA_TYPE`
`static java.lang.String` | `INVALID_RESPONSE`
`static java.lang.String` | `INVALID_SEP_MEDIA_TYPE`
`static java.lang.String` | `INVALID_SEP_TYPE`
`static java.lang.String` | `INVALID_XRDS`
`static java.lang.String` | `LIMIT_EXCEEDED`
`static java.lang.String` | `NETWORK_ERROR`
`static java.lang.String` | `NOT_IMPLEMENTED`
`static java.lang.String` | `PERM_FAIL`
`static java.lang.String` | `QUERY_NOT_FOUND`
`static java.lang.String` | `REDIRECT_ERROR`
`static java.lang.String` | `REDIRECT_VERIFY_FAILED`
`static java.lang.String` | `REF_ERROR`
`static java.lang.String` | `REF_NOT_FOLLOWED`
`static java.lang.String` | `SAML_RES_NOT_FOUND`
`static java.lang.String` | `SEP_NOT_FOUND`
`static java.lang.String` | `SEP_SELECTION_ERROR`
`static java.lang.String` | `SUCCESS`
`static java.lang.String` | `TEMPORARY_FAIL`
`static java.lang.String` | `TIMEOUT_ERROR`
`static java.lang.String` | `TRUSTED_RES_ERROR`
`static java.lang.String` | `UNEXPECTED_RESPONSE`
`static java.lang.String` | `UNEXPECTED_XRD`
`static java.lang.String` | `UNKNOWN_ROOT`
`static java.lang.String` | `UNVERIFIED_SIGNATURE`

Fields inherited from class org.openxri.xml.SimpleXMLElement
`attributes`

Constructor Summary
`Status()`
`Status(Status s)`
`Status(java.lang.String code)`
`Status(java.lang.String code, java.lang.String text)`

Method Summary
`java.lang.String` | `getCEID()`
`java.lang.String` | `getCID()`
`java.lang.String` | `getCode()`
`java.lang.String` | `getText()`
`void` | `setCEID(java.lang.String status)`
`void` | `setCID(java.lang.String status)`
`void` | `setCode(java.lang.String code)`
`void` | `setText(java.lang.String text)`

Methods inherited from class org.openxri.xml.SimpleXMLElement
`addAttribute, clone, equals, fromXML, getAttributeValue, getTagname, getValue, hashCode, removeAttribute, reset, setValue, toString, toString, toXML, toXML`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESS

    public static final java.lang.String SUCCESS

See Also:
  Constant Field Values

### PERM_FAIL

    public static final java.lang.String PERM_FAIL

See Also:
  Constant Field Values

### NOT_IMPLEMENTED

    public static final java.lang.String NOT_IMPLEMENTED

See Also:
  Constant Field Values

### LIMIT_EXCEEDED

    public static final java.lang.String LIMIT_EXCEEDED

See Also:
  Constant Field Values

### INVALID_INPUT

    public static final java.lang.String INVALID_INPUT

See Also:
  Constant Field Values

### INVALID_QXRI

    public static final java.lang.String INVALID_QXRI

See Also:
  Constant Field Values

### INVALID_OUTPUT_FORMAT

    public static final java.lang.String INVALID_OUTPUT_FORMAT

See Also:
  Constant Field Values

### INVALID_SEP_TYPE

    public static final java.lang.String INVALID_SEP_TYPE

See Also:
  Constant Field Values

### INVALID_SEP_MEDIA_TYPE

    public static final java.lang.String INVALID_SEP_MEDIA_TYPE

See Also:
  Constant Field Values

### UNKNOWN_ROOT

    public static final java.lang.String UNKNOWN_ROOT

See Also:
  Constant Field Values

### AUTH_RES_ERROR

    public static final java.lang.String AUTH_RES_ERROR

See Also:
  Constant Field Values

### AUTH_RES_NOT_FOUND

    public static final java.lang.String AUTH_RES_NOT_FOUND

See Also:
  Constant Field Values

### QUERY_NOT_FOUND

    public static final java.lang.String QUERY_NOT_FOUND

See Also:
  Constant Field Values

### UNEXPECTED_XRD

    public static final java.lang.String UNEXPECTED_XRD

See Also:
  Constant Field Values

### INACTIVE

    public static final java.lang.String INACTIVE

See Also:
  Constant Field Values

### TRUSTED_RES_ERROR

    public static final java.lang.String TRUSTED_RES_ERROR

See Also:
  Constant Field Values

### HTTPS_RES_NOT_FOUND

    public static final java.lang.String HTTPS_RES_NOT_FOUND

See Also:
  Constant Field Values

### SAML_RES_NOT_FOUND

    public static final java.lang.String SAML_RES_NOT_FOUND

See Also:
  Constant Field Values

### HTTPS_SAML_RES_NOT_FOUND

    public static final java.lang.String HTTPS_SAML_RES_NOT_FOUND

See Also:
  Constant Field Values

### UNVERIFIED_SIGNATURE

    public static final java.lang.String UNVERIFIED_SIGNATURE

See Also:
  Constant Field Values

### SEP_SELECTION_ERROR

    public static final java.lang.String SEP_SELECTION_ERROR

See Also:
  Constant Field Values

### SEP_NOT_FOUND

    public static final java.lang.String SEP_NOT_FOUND

See Also:
  Constant Field Values

### REDIRECT_ERROR

    public static final java.lang.String REDIRECT_ERROR

See Also:
  Constant Field Values

### INVALID_REDIRECT

    public static final java.lang.String INVALID_REDIRECT

See Also:
  Constant Field Values

### INVALID_HTTPS_REDIRECT

    public static final java.lang.String INVALID_HTTPS_REDIRECT

See Also:
  Constant Field Values

### REDIRECT_VERIFY_FAILED

    public static final java.lang.String REDIRECT_VERIFY_FAILED

See Also:
  Constant Field Values

### REF_ERROR

    public static final java.lang.String REF_ERROR

See Also:
  Constant Field Values

### INVALID_REF

    public static final java.lang.String INVALID_REF

See Also:
  Constant Field Values

### REF_NOT_FOLLOWED

    public static final java.lang.String REF_NOT_FOLLOWED

See Also:
  Constant Field Values

### TEMPORARY_FAIL

    public static final java.lang.String TEMPORARY_FAIL

See Also:
  Constant Field Values

### TIMEOUT_ERROR

    public static final java.lang.String TIMEOUT_ERROR

See Also:
  Constant Field Values

### NETWORK_ERROR

    public static final java.lang.String NETWORK_ERROR

See Also:
  Constant Field Values

### UNEXPECTED_RESPONSE

    public static final java.lang.String UNEXPECTED_RESPONSE

See Also:
  Constant Field Values

### INVALID_XRDS

    public static final java.lang.String INVALID_XRDS

See Also:
  Constant Field Values

### INVALID_RESPONSE

    public static final java.lang.String INVALID_RESPONSE

See Also:
  Constant Field Values

### INVALID_RES_MEDIA_TYPE

    public static final java.lang.String INVALID_RES_MEDIA_TYPE

See Also:
  Constant Field Values

### CID_ABSENT

    public static final java.lang.String CID_ABSENT

See Also:
  Constant Field Values

### CID_OFF

    public static final java.lang.String CID_OFF

See Also:
  Constant Field Values

### CID_VERIFIED

    public static final java.lang.String CID_VERIFIED

See Also:
  Constant Field Values

### CID_FAILED

    public static final java.lang.String CID_FAILED

See Also:
  Constant Field Values

Constructor Detail

### Status

    public Status(Status s)

### Status

    public Status()

### Status

    public Status(java.lang.String code)

### Status

    public Status(java.lang.String code,
                  java.lang.String text)

Method Detail

### getCode

    public java.lang.String getCode()

### getText

    public java.lang.String getText()

### setCode

    public void setCode(java.lang.String code)

### setText

    public void setText(java.lang.String text)

### getCID

    public java.lang.String getCID()

### setCID

    public void setCID(java.lang.String status)

### getCEID

    public java.lang.String getCEID()

### setCEID

    public void setCEID(java.lang.String status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.